-- By MaTiOs95
-- Programuje i skriptuje na zamowienie :P
-- www.adamekdomal-mods.xaa.pl
-- Lyzka
-- 01.01.2011

MAT3 = {};

function MAT3.prerequisitesPresent(specializations)
    return true;
end;

function MAT3:load(xmlFile)
	hornSoundFile = Utils.getFilename("hydra.wav", self.baseDirectory);
	self.dzwiekid = createSample("hydraulika");
	loadSample(self.dzwiekid, hornSoundFile, false);
	self.xp = 0;
	self.zaczep = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.obrot#index"));
	self.yzioma = 0;
end;

function MAT3:delete()
end;

function MAT3:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MAT3:keyEvent(unicode, sym, modifier, isDown)
---------------------------------------------------------
	if sym == Input.KEY_KP_0 then
		self.pomoc = isDown;
	end;
---------------------------------------------------------
	if sym == Input.KEY_KP_divide then
		self.lyzkaprzod = isDown;
		self.dzwiek = isDown;
	end;
	if sym == Input.KEY_KP_multiply then
		self.lyzkatyl = isDown;
		self.dzwiek = isDown;
	end;
---------------------------------------------------------
end;

function MAT3:update(dt)
	if self.dzwiek then
		self.xp = self.xp - dt;
		if self.xp < 0 then
			playSample(self.dzwiekid, 1, 1, 0);
			self.xp = 1000;
		end;
	else
		self.xp = 0;
	end;
	local x, y, z = getRotation(self.zaczep);
---------------------------------------------------------
	if self.lyzkaprzod then
		if x > -1.467 then
			setRotation(self.zaczep, x-0.007, y, z);
		end;
	end;
	if self.lyzkatyl then
		if x < 0.351 then
			setRotation(self.zaczep, x+0.007, y, z);
		end;
	end;
end;

function MAT3:draw()
	if self.pomoc then
		renderText(0, 0.32, 0.02, "-------------------------------------");
		renderText(0, 0.30, 0.02, "Nacisnij NUM /: Lyzka w przod");
		renderText(0, 0.28, 0.02, "Nacisnij NUM *: Lyzka w tyl");
		renderText(0, 0.26, 0.02, "-------------------------------------");
	end;
end;

function MAT3:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;